@import 'import';

.navigation {
    height: 70px;
    padding: 10px 0;

    background-color: $tertiary-color;
    @include flex-parent(row, nowrap, center, '', stretch);

    &-logo {
        position: relative;
        width: 60vw;

        @include flex-child(2, '', '', '', '', '');

        & img {
            @include position-center;
        }
    }

    &-menu {
        width: 20vw;

        @include flex-child(1, '', '', '', '', '');
    }

    &-setting {
        position: relative;
        width: 20vw;

        @include flex-child(3, '', '', '', '', '');
    }

    @include breakpoint(md) {
        &-logo {
            width: 20vw;

            @include flex-child(1, '', '', '', '', '');
        }
    
        &-menu {
            width: 70vw;

            @include flex-child(2, '', '', '', '', '');
        }
    
        &-setting {
            width: 10vw;

            @include flex-child(3, '', '', '', '', '');
        }
    }
}

.setting {
    &-icon {
        cursor: pointer !important;
        @include position-center;

        & i {
            color: $white-color;
        }
    }

    &-switcher {
        display: none;
        overflow: hidden;
    }

    &-body {
        position: absolute;
        top: 0;
        right: 0;
        // display: none;
        opacity: 0;
        z-index: -1;
        background-color: $secondary-color;
        border-radius: 0 15px 900px 100px;

        margin-right: 20px;

        transform: rotate(85deg);
        transform-origin: 88% 13%;
        transition: all 0.3s ease;

        &-menu {
            @include functionPadding('', '', 2);

            list-style-type: none;
        }

        &-button {
            display: flex;
            position: relative;
            margin-bottom: 15px;

            &-icon {
                cursor: pointer !important;
                margin-left: auto;
                order: 2;

                & i {
                    color: $white-color;
                }
            }
        }

        &-list {
            position: relative;

            & a {
                display: block;
                width: 100%;
                height: 100%;
                color: $white-color;
                cursor: pointer !important;

                padding: 15px 80px 10px 10px;

                border: none;
                z-index: 1;

                &:after {
                    position: absolute;
                    content: "";
                    width: 0;
                    height: 100%;
                    top: 0;
                    right: 0;
                    z-index: -1;
                    background-color: $tertiary-color;
                    
                    transition: all 0.3s ease;
                }
                &:hover:after {
                    left: 0;
                    width: 100%;
                }
                &:active {
                    top: 2px;
                }
            }
        }
    }

    &-switcher:checked ~ &-body {
        // display: block;
        top: 0;
        right: 0;
        opacity: 1;
        z-index: 9999;
        border-radius: 0 15px 0 0;
        
        transform: rotate(0deg);
        transition: all 0.3s ease;
    }

    @include breakpoint(md) {
        &-body {
            margin-right: 25px;
        }
    }
}

.menu {
    position: relative;

    &-option {
        &-checkbox {
            display: none;
            overflow: hidden;
        }
    }

    &-title {
        position: relative;

        @include functionMargin(x, '', 2);       

        &-main {
            height: 100%;

            @include position-vertical-center-flex; 

            & label {
                cursor: pointer !important;
            }
        }

        &-checkbox {
            display: none;
            overflow: hidden;
        }

        &-checkbox:checked ~ &-submenu {
            display: block;
            opacity: 1;
            z-index: 999;
            
            transition: all 0.3s ease;
        }

        &-checkbox:checked ~ &-main label {
            font-weight: 800;
        }
    }

    @include breakpoint(xs-md) {
        &-option {
            position: relative;
            width: 100%;
            height: 100%;

            &-icon {
                cursor: pointer !important;
                @include position-center;

                & i {
                    color: $white-color;
                }
            }
        }
        
        &-list {
            display: none;
            position: absolute;
            overflow-y: scroll;
            width: 100vw;
            height: calc(100vh - 70px);
            margin-top: 10px;

            border-top: 1px solid black;
            border-bottom: 1px solid black;
            background-color: $tertiary-color;
            z-index: 999;

            @include functionPadding(y, '', 3);
        }

        &-option-checkbox:checked ~ &-list {
            display: block;
        }

        &-title {
            &-main {
                @include functionPaddingYX('', 2, 3);
            }

            &-submenu {
                position: relative;
                display: none;
                z-index: 9999;

                background-color: $tertiary-color;

                border-top: 3px solid black;
                border-left: 2px solid black;
            }
        }
    }

    @include breakpoint(md) {
        &-option {
            display: none;
        }
        
        &-list {
            width: 100%;
            height: 100%;

            @include flex-parent(row, nowrap, center, '', center);
        }

        &-title {
            &-submenu {
                display: block;
                opacity: 0;
                width: 150px !important;
                margin-top: 50px;
                z-index: -1;
                box-shadow: 0 0 10px 2px $white-color;

                background-color: $tertiary-color;

                border-radius: 3px;
                
                @include position-top;
                transition: all 0.3s ease;
            }
        }
    }
}

.submenu {
    &-title {
        &-checkbox {
            display: none;
            overflow: hidden;
        }
        
        &-main label {
            cursor: pointer !important;
        }

        &-submenu {
            & .submenu-sub {
                
                &-list {
                    list-style-type: none;
                }

                &-item {
                    &-main {
                        cursor: pointer !important;
                    }
                    
                    position: relative;
                    @include functionPaddingYX('', 1, 2);
                }
            }
        }

        &-checkbox:checked ~ &-submenu {
            display: block;
        }

        &-checkbox:checked ~ &-main label {
            font-weight: 800;
        }
    }
                    
    &-list {
        list-style-type: none;
    }

    &-item {
        &-main {
            cursor: pointer !important;
        }

        position: relative;
        @include functionPaddingYX('', 1, 2);
    }

    @include breakpoint(xs-md) {
        &-title {
            &-main .menu-arrow {
                margin-top: 10px;
                margin-right: 15px;
                
                @include position-top-right;
            }

            &-submenu {
                position: relative;
                display: none;
                z-index: 9999;

                background-color: $tertiary-color;

                border-top: 3px solid black;
                border-left: 2px solid black;

                @include functionMargin(y, '', 1);
            }

            &-checkbox:checked ~ &-main .menu-arrow {
                transform: rotate(90deg);
            }
        }
    }
    
    @include breakpoint(md) {
        &-title {
            &-main .menu-arrow {
                margin-right: 15px;
                
                @include position-right;
            }

            &-submenu {
                display: none;
                width: 150px !important;
                margin-left: 145px;
                z-index: 9999;
                border-radius: 3px;

                background-color: $tertiary-color;
                box-shadow: 0 0 10px 2px $white-color;

                @include position-top-left;
            }
        }
    }
}

.main {
    width: 100%;
    height: 90vh;
}

.footer {
    width: 100%;
    min-height: 30px;

    background-color: $tertiary-color;

    @include functionPaddingYX('', 2, 3);

    &-copyright {
        width: 100%;
        text-align: center;
    }

}